Addition

Symbol: |
Description: | Addition of the input values.
Parameter: | With the use of the parameter dialog the data type can be assigned.
Signals: | Name | I/O | Type(s) | Function
 | X1 | I | UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Summand 1
 | X2 | I | UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Summand 2
 | Y | O | UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Sum
Comment: | If no connection exists another data type can be assigned by creating a new connection. If the data type is changed by the parameter dialog all invalid connections will be deleted.


Division

Symbol: |
Description: | Division of the input values. A division by 0 will result in maximum or minimum (depending, whether the dividend is positive or negative) value of the selected data type.
Parameter: | With the use of the parameter dialog the data type can be assigned.
Signals: | Name | I/O | Type(s) | Function
 | X1 | I | UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Dividend
 | X2 | I | UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Divisor
 | Y | O | UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Quotient
Comment: | If no connection exists another data type can be assigned by creating a new connection. If the data type is changed by the parameter dialog all invalid connections will be deleted.


Function generator

Symbol:

Description:

Function block for user defined mathematical functions.

The basic arithmetical operations and brackets can be used in the function:

* Multiplication

/ Division

% Modulo-Division (only integer data types)

+ Addition

- Subtraction

( ) Brackets

The elements of the input vector and constants serve as operands. The index of the first vector element is 0.

Thus a 2nd order polynomial could be defined as follows:

y=(x0-2)*(x0+3.4)

If the input dialog is closed with OK the block checks the function for possible errors. Messages are shown in the message window.

Parameter:

With the use of the parameter dialog the data type can be assigned. Additional one can enter a short description for displaying in the symbol as well as the actual mathematical function.

Signals:

Name

I/O

Type(s)

Function

X

I

UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE

Input vector

Y

O

UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE

Result value

Visualization:

The given name will be displayed in the function block.

If the input vector contains less elements than used in the defined function, the symbol will be depicted in red in run mode.

Comment:

If no connection exists another data type can be assigned by creating a new connection.

If the data type is changed by the parameter dialog all invalid connections will be deleted.


Modulo-Division

Symbol: |
Description: | Modulo division of the input values, i.e. the operation finds the reminder of the division. A modulo division of 0 results in 0.
Parameter: | With the use of the parameter dialog the data type can be assigned.
Signals: | Name | I/O | Type(s) | Function
 | X1 | I | UCHAR, WORD, LONG, LONGLONG | Dividend
 | X2 | I | UCHAR, WORD, LONG, LONGLONG | Divisor
 | Y | O | UCHAR, WORD, LONG, LONGLONG | Residue
Comment: | If no connection exists another data type can be assigned by creating a new connection. If the data type is changed by the parameter dialog all invalid connections will be deleted.


Multiplication

Symbol: |
Description: | Multiplication of the input values.
Parameter: | With the use of the parameter dialog the data type can be assigned.
Signals: | Name | I/O | Type(s) | Function
 | X1 | I | UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Factor 1
 | X2 | I | UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Factor 2
 | Y | O | UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Product
Comment: | If no connection exists another data type can be assigned by creating a new connection. If the data type is changed by the parameter dialog all invalid connections will be deleted.


Negation

Symbol: |
Description: | Negation of the input value, i.e. the actual sign of the value will change.
Parameter: | With the use of the parameter dialog the data type can be assigned.
Signals: | Name | I/O | Type(s) | Function
 | X | I | WORD, LONG, LONGLONG, FLOAT, DOUBLE | Input value
 | Y | O | WORD, LONG, LONGLONG, FLOAT, DOUBLE | Negated value
Comment: | If no connection exists another data type can be assigned by creating a new connection. If the data type is changed by the parameter dialog all invalid connections will be deleted.


Subtraction

Symbol: |
Description: | Subtraction of the input values.
Parameter: | With the use of the parameter dialog the data type can be assigned.
Signals: | Name | I/O | Type(s) | Function
 | X1 | I | UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Minuend
 | X2 | I | UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Subtrahend
 | Y | O | UCHAR, WORD, LONG, LONGLONG, FLOAT, DOUBLE | Difference
Comment: | If no connection exists another data type can be assigned by creating a new connection. If the data type is changed by the parameter dialog all invalid connections will be deleted.